using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("ScheduledRefreshRequest", Schema = "fp")]
public partial class ScheduledRefreshRequest
{
    [Key]
    [Column("RequestGUID")]
    public Guid RequestGuid { get; set; }

    [Column("SourceDimensionalityJSON")]
    public string SourceDimensionalityJson { get; set; } = null!;

    [Column("SourceActionID")]
    public short SourceActionId { get; set; }

    public bool IsIgnoreTargetingError { get; set; }

    [Column("EntityGroupConfigID")]
    public int EntityGroupConfigId { get; set; }

    [Column("SamplingJSON")]
    public string SamplingJson { get; set; } = null!;

    public int SortOrder { get; set; }

    public bool IsActive { get; set; }
}
